메인 콘텐츠로 건너뛰기
POST
/
2
/
dm_conversations
DM 대화 생성
curl --request POST \
  --url https://api.x.com/2/dm_conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": {
    "text": "<string>",
    "attachments": [
      {
        "media_id": "1146654567674912769"
      }
    ]
  },
  "participant_ids": [
    "2244994945"
  ]
}
'
{
  "data": {
    "dm_conversation_id": "123123123-456456456",
    "dm_event_id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

본문

application/json
conversation_type
enum<string>
필수

생성 중인 대화의 유형입니다.

사용 가능한 옵션:
Group
message
object
필수
participant_ids
string[]
필수

DM 대화의 참여자들입니다.

Required array length: 2 - 49 elements

이 사용자에 대한 고유 식별자입니다. 일부 언어나 도구에서 큰 정수를 제대로 처리하지 못하는 문제를 피하기 위해 문자열로 반환됩니다.

Pattern: ^[0-9]{1,19}$

응답

요청이 성공했습니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체